# Transfert

## About

I used to transfert big files using Jirafeau. But I decided to create my own tool.

I wanted :
  - Something modern and safer than PHP 
  - with QRcode possibility
  - No database
  - Clean expired files automatically
  - Manage single Download
  - SSL Connexion

[![MIT License](https://img.shields.io/badge/License-MIT-green.svg)](https://choosealicense.com/licenses/mit/) [![GPLv3 License](https://img.shields.io/badge/License-GPL%20v3-yellow.svg)](https://opensource.org/licenses/) [![AGPL License](https://img.shields.io/badge/license-AGPL-blue.svg)](http://www.gnu.org/licenses/agpl-3.0)


## Install
```sh

Ubuntu/Debian:

git clone https://git.nerkdesign.com/pporcheret/Transfert.git
cd ./Transfert/
mkdir storage
apt install python3 python3-pip
pip3 install -r requirement.txt

Redhat:

git clone https://git.nerkdesign.com/pporcheret/Transfert.git
cd ./Transfert/
mkdir storage
yum install python3 python3-pip
pip3 install -r requirement.txt


```

## Start

python3 app.py

Use your browser to go to :
```sh
 https://{{IP}}:5006

```

## Config

You can edit the Flask port/host :
```sh
flask_port=5006
flask_host='0.0.0.0'
flask_thread=True
flask_debug=False
```
The size of the random link :
```sh
random_size = 12
```
The storage location of your files :
```sh
path = os.path.dirname(__file__)
storage_path= path+'/storage/'
```

## Login


Be carefull !!
By default, the authentification is PAM.
This PAM auth is based on the library [simplepam](https://github.com/leonnnn/python3-simplepam).
This means that by default, the allowed users, are the user in the server.

## Screenshot

![ScreenShot](./images/screen0.png)
![ScreenShot2](./images/screen1.png)
![ScreenShot2](./images/screen2.png)


